Configurator Help

Configurable USB Loader Configurator Help Documentation

This documentation will teach you about the features of the Configurator and how to use them. More information will be provided in future versions.

You can use the Table of Contents, Index or Search features at the left to navigate the information. You can also use the "Help...What's This" menu option or press the F2 key, then click any option in the Configurator to navigate to info about that option.

Use the following links to learn how to use the Configurator:

  • How to use options
  • How to use wizards


How to Use Options

There are over 100 options that can be separately configured in the Configurator. This page will teach you how to use them to do what you want to do.

Option Pages

Options appear in the tabbed box on the main window of the Configurator. Here's an example:

The above image show the first page of Global Options. By clicking the other tabs, you can view the other pages with other options. There are four types of option pages:

Type | Description
Theme Options | These are options which can be included within a theme. They go into a theme.txt but can be used in config.txt if no theme is specified.
Global Theme Overrides | These are special versions of a subset of Theme Options that go into config.txt. When used, the respective options in theme.txt will be ignored.
Global Options | These are options which can only be included in config.txt.
Game Settings | These are options that appear in settings.cfg. The options on this page override the options in Global Options.

Using Options

Now, let's look at an option, in this case, the gui option:

All options have a check box to the left of the option name. When checked, the option will be written to a file when you push a Generate Button or use a Write Action in the menu.

Every option also has a value. In the case of gui, you can select from the three different choices by clicking the respective text or circles. If the check box is not checked, the default value of the option is selected to show you what it will be. When you change the value, the check box automatically checks to indicate the change. For example, here is how the gui option looks after we have changed the value to start:

Note that the check box is now checked and the value has changed to start. If we generate a config.txt file now, it will include the line "gui = start" because of this.

Option Types

The option types that appear in the Configurator are as follows:

Text Options:
The option requires you to type in the value with the keyboard.

Selection Options:
The option requires you to select one of the available options.

Drop Down Options:
The option requires you to select an option from the drop-down box that appears when you click it. Some options of this type also allow you to enter your own value via the keyboard.

Numerical Options:
Use the arrows on the boxes to increase or decrease the numbers, or just type the number you want.

Combination Options:
These options are made from a combination of the above types. In the pictured example, we have both selection values as well as numerical values. If an element is greyed out, it means it is not applicable to the current selection.


How to Use Wizards

In addition to the option settings on the main Configurator window, the Configurator also contains several wizards that help you perform various tasks. This page discusses those wizards and what they can be used for.

Overlay Wizard

The Overlay Wizard is a tool for creating an overlay image that covers a background image. You can typically use the same overlay for many different themes. Common objects used on the overlay are solid or transparent boxes for the console and button images. The Overlay Wizard is accessed via the Overlay Wiz buttons on Theme Options 1 or via Wizards...Overlay Design... Specifically you can:

  • See how the background image looks (this is not saved to the overlay)
  • Add (up to three) transparent boxes with optional rounded corners and borders to an overlay image
  • Add an image to the overlay to show buttons (or otherwise)
  • Change resolution to see how your overlay handles 4:3 and 16:9 aspect ratios
  • Save your overlay including the boxes and image to a file

Console Wizard

The Console Wizard is a tool for setting up the console theme options. You can see your background and overlay image and adjust the color, size and positioning settings of the console. The Console Wizard is accessed via the Console Wiz buttons on Theme Options 1 or via Wizards...Console Design... Specifically you can:

  • Visualize the background image with the overlay, console and cover image
  • Adjust the size and position of the cover images
  • Adjust the size and position of the console text area
  • Adjust the colours of the console text and backgrounds (including transparency)
  • Copy your settings to the Configurator main window

File Collation/Installation Wizard

The File Collation/Installation Wizard is a tool for collecting all the files that are needed for Configurable USB Loader into the correct directory structure. This wizard can also be used to modify images to be suitable for Cfg and to create fonts form any font installed on your system. The File Collation/Installation Wizard is accessed via the Install all filesbutton at the bottom of the main window or via Wizards...File Installation. Specifically you can:

  • Choose whether config.txt or theme.txt will be generated
  • Download the latest wiitdb.zip or titles.txt
  • Choose files to be copied into the correct directory structure needed by Cfg
  • Choose to generate font files usable by Cfg from any fonts installed on your PC

Covers Wizard

The Covers Wizard is a tool for downloading and looking at covers for games from the Internet. The Covers Wizard is accessed via the Covers Wiz button on Theme Options 1 or via Wizards...Cover Download. Specifically you can:

  • See which covers you have and how many covers are missing
  • Download new covers from any Internet repository
  • View the covers in your collection

Profile Wizard

The Profile Wizard is a tool for editing the list of profiles. This helps to organise the profile_names option. The Profile Wizard is accessed via the Manage Profiles buttons on Global Options 3 and Game Settings, or via Wizards...Profile Management. Specifically you can:

  • Add, rename, delete or change order of the known profiles.

Favorites Wizard

The Favorites Wizard is a tool for determining which games are favorites in each of the profiles. You can also set which games are marked as hidden. The Favorites Wizard is accessed via the Manage favorites/hidden button on Game Settings or via Wizards...Favorites/Hidden. Specifically you can:

  • Mark off which games are in which profiles and which games are hidden via the grid
  • See a count of how many profiles each game belongs to
  • Sort games via which profile they are stored in by clicking the relative header cell

Per-Game Options Wizard

The Per-Game Options Wizard is a tool for setting the options for various games easily. You can also see and edit information from a playstats file. The Per-Game Options Wizard is accessed via the Manage other options button on Game Settings or via Wizards...Options/Playstats. Specifically you can:

  • See or edit the values of any of the per-game options
  • See or edit the information from the playstats file (last played time and play count)
  • Sort the games via any of the option values by clicking on the header cell


Adult Themes Option

Options Covered

adult_themes

Input Formats

0 | no adult themes
1 | adult themes allowed

Description

Control whether adult themes appear for download.


Background Options

Options Covered

background, background_base, background_gui, wbackground, wbackground_base, wbackground_gui

Input Formats

filename without path | Select the filename of the file to use within the theme or base directories
filename with path | Specific file to use

Description

The [w]background_base options are essentially aliases for the [w]background options but have only been available since v41 and allow further customisability of the background. They support image sizes wider than 640*480 (height must still be 480). These larger images are cropped to the correct size in 4:3 mode or stretched to fill the screen in 16:9 mode. In addition, the overlay files will be placed over these background images.


Button Action Options

Options Covered

button_B, button_H, button_-, button_+, button_1, button_2, button_X, button_Y, button_Z, button_C, button_L, button_R

Input Formats

nothing | does nothing
options | access game options
gui | switch to/from GUI
reboot | reboot the Wii
exit | exit to the application that launched the loader
hbc | launch the Homebrew Channel
screenshot | Don't exit, but take a screenshot.
install | install a game
remove | remove a game
main_menu | access main menu
global_ops | access global options menu
favorites | toggle favorites view
boot_game | boot a game from the drive
boot_disc | boot a game from disc
theme | switch to next theme
profile | switch to next profile
unlock | enter the unlock password
sort | switch to the next sort type
filter | access the filter menu
priiloader | Use the Priiloader magic word "Daco" to return to Priiloader
wii_menu | Use the Priiloader magic word "Pune" to go to the Wii Menu
random | Select a random game from the current list
4 character ID ending in lower case letter | Use ID as a Priiloader magic word
4 character ID ending in upper case letter | Launch specified channel ID

Description

These values control the actions that each button on the Wiimote or peripheral controllers (Nunchuck, Classic Controller, GameCube Controller, Guitar Hero 3 Guitar) will perform when pushed in the GUI mode or console game list mode (thus, not in the console menu screens).

Only the peripheral buttons (X, Y, Z, C, L & R) can be remapped to the Wiimote buttons (A, B, H, -, +, 1, 2).

The channel ID can be set to a forwarder channel to allow Cfg to reboot on exit

The buttons for each controller type map as follows:

Option | Wiimote | Classic | GCN | Guitar | Nunchuk
- | - | - | - | - |
+ | + | + | + | + |
A | A | A | A | Green |
B | B | B | B | Red |
H | H | Home | Start |  |
1 | 1 |  |  |  |
2 | 2 |  |  |  |
X |  | X | X | Blue |
Y |  | Y | Y | Yellow |
Z |  | ZL/ZR | Z | Orange | Z
C |  |  |  |  | C
L |  | L | L |  |
R |  | R | R |  |


Button Menu Options

Options Covered

button_cancel, button_exit, button_other, button_save

Input Formats

Comma separated list of button names Each of the named buttons performs the desired menu action

Description

These options affect button actions in the console menus. Each option can take a comma separated list of values that represent all the buttons that should map to the chosen action (e.g., button_cancel = B, L, R). The cancel action answers no to questions and goes back from most menus. The other action is used to access the other value of some tasks, such as switching between the game options and global options or choosing to download an update without meta.xml. The exit action will perform whatever the current action set by the home option is (see below). The save action is used to save settings and options in certain menus.


Buttons Option

Options Covered

buttons

Input Formats

options_1 | 1=Options, B=GUI
options_B | B=Options, 1=GUI
original | 1=Options, B=nothing

Description

This option change the actions of the B and 1 buttons, thus overriding button_B and button_1.


Color Options

Options Covered

color_header, color_footer, color_selected_fg, color_selected_bg, color_inactive, color_help

Input Formats

color Color for text or background

Description

Determine the various colors for different types of special text or backgrounds. Choose from the 16 colors shown on the Configurator window.


Colors Option

Options Covered

colors

Input Formats

dark | Suggested colors for dark backgrounds
bright | Suggested colors for bright backgrounds
mono | Use console_color to generate all colors

Description

Sets default values for dark, bright or monochromatic color sets. This option affects the color options.


Console Color Option

Options Covered

console_color

Input Formats

fg | Color for normal foreground text
bg | Color for background of console (if not transparent)

Description

Default colors for the console window normal text and background. Choose from the 16 colors shown on the Configurator window.


Console Coords Options

Options Covered

console_coords, wconsole_coords

Input Formats

x | x coordinate of left edge
y | y coordinate of top edge
w | width of console
h | height of console

Description

Provide coordinates of the top left corner (x, y) and size (w, h) for the console (text box) in pixels.


Console Transparent Option

Options Covered

covers

Input Formats

0 | console is solid
1 | console is transparent

Description

Set the console transparent to 1 to not draw the background for the console box. If the color_selected_bg is the same as the background color set in console_color, then it is also made transparent.


Cover Style Option

Options Covered

cover_style

Input Formats

standard | Flat 2D covers
3d | Fake 3D covers
disc | Disc art

Description

Set the type of cover to display in the console game list and gridflow GUI modes, either flat cover, 3d cover or disc art. This option also affects covers_size.


Covers Option

Options Covered

covers

Input Formats

0 | no covers
1 | covers

Description

Control the display of covers in the console game list.


Covers Coords Options

Options Covered

covers_coords, wcovers_coords

Input Formats

x | x coordinate of left edge
y | y coordinate of top edge

Description

x and y are the coordinates of the top-left corner of the covers.


Covers Size Options

Options Covered

covers_size, wcovers_size

Input Formats

w | width of cover image
h | height of cover image

Description

Width and height are the size in pixels of the covers to display. This option takes its default values from cover_style.


Cursor Option

Options Covered

cursor

Input Formats

2 character string Symbol/text to show

Description

Change the display of the cursor symbol that appears at the start of the line for the selected game or menu item in console mode.


GUI Text Options

Options Covered

gui_text_color, gui_text_outline, gui_text_shadow, gui_text2_color, gui_text2_outline, gui_text2_shadow

Input Formats

black | text will be opaque black
white | text will be opaque white
full | text will be the selected color, fully defined via R, G, B and A
alpha only | text will be black or white with specified opacity
R | red component of color
G | green component of color
B | blue component of color
A | alpha (opacity) component of color

Description

The gui_text_* options affect gridflow GUI modes (grid, flow, flow-z). The gui_text2_* options affect the coverflow modes (coverflow3d, coverflow2d, frontrow, vertical, carousel). Set the gui_text[2]_color to black, white, or a fully defined color. The outline and shadow can additionally be given just an alpha value. In the alpha only mode, the shadow/otline will be white if the main colour is dark and black if the main colour is bright.


GUI Title Top Option

Options Covered

gui_title_top

Input Formats

0 | titles below covers
1 | titles above covers

Description

This chooses where the text for titles of games appears in the GUI.


Hide Options

Options Covered

hide_header, hide_footer, hide_hddinfo

Input Formats

0 | don't hide the text
1 | hide the text

Description

Set the hide_* options to 1 to turn off the named text.


Home Option

Options Covered

home

Input Formats

reboot | reboot the Wii
exit | exit to the application that launched the loader
hbc | launch the Homebrew Channel
screenshot | Don't exit, but take a screenshot.
priiloader | Use the Priiloader magic word "Daco" to return to Priiloader
wii_menu | Use the Priiloader magic word "Pune" to go to the Wii Menu
4 character ID ending in lower case letter | Use ID as a Priiloader magic word
4 character ID ending in upper case letter | Launch specified channel ID
8 character hex value | Launch specified channel ID

Description

This option sets the action of the Home button and overrides button_H. The home option also determines what action will be taken when any of the button_exit buttons are pushed in the console menus.

The channel ID can be set to a forwarder channel to allow Cfg to reboot on exit


Layout Option

Options Covered

layout

Input Formats

original | Original layout used
original2 | Second layout used
small | Small console window
medium | Medium console window
large | Large console window
large2 | Large console window version 2
large3 | Very large console window
ultimate1 | Ultimate USB Loader clone
ultimate2 | Ultimate USB Loader clone 2
ultimate3 | Ultimate USB Loader clone 3
kosaic | For Kosaic's themes

Description

Choose a default pre-defined layouts for console and covers. Changing this option affects the console_color, covers_coords and console_coords options.


Menu Plus Option

Options Covered

menu_plus

Input Formats

4 character string Symbol/text to show

Description

Change the display of the menu plus symbol that appears at the top of most menus in console mode.


Preview Coords Options

Options Covered

preview_coords, wpreview_coords

Input Formats

x | x coordinate of left edge or -1 to use cover's value
y | y coordinate of top edge or -1 to use cover's value
w | width of console or 0 to use cover's value
h | height of console or 0 to use cover's value

Description

Provide coordinates of the top left corner (x, y) and size (w, h) for the theme previews in pixels. These are only displayed while checking out themes to download.


Simple Option

Options Covered

simple

Input Formats

0 | simple mode off
1 | simple mode on

Description

The simple option controls the values of several other options at once, designed to be for child-proofing and simplicity of use of the loader. It controls different sets of options depending on whether it appears in a theme or in config.txt.

When used in a theme, only hide_footer is affected (getting the same value as simple).

When used in config.txt, confirm_start (opposite value of simple) and the disable_* options (same value as simple) are also changed.


Admin Unlock Option

Options Covered

admin_unlock

Input Formats

0 | fully locked
1 | unlockable via password

Description

When this setting is enabled (1), it will allow all screens normally locked by the simple or disable_* settings to be unlocked via a "secret" wiimote button sequence. This also gives access to the Hide Game option on the option menu, which allows you to select games that will be hidden when admin mode is switched off. To access the unlock screen, hold the 1 button down for 5-10 seconds and an "Enter Code:" prompt will appear. Press the wiimote buttons in the order specified by the unlock_password to unlock. To set the lock back on with the original settings intact, hold the 1 button for 5-10 seconds again.


Alt Dol Option

Options Covered

alt_dol

Input Formats

0 | just use main.dol
1 | same as sd
sd | load a .dol on the SD card
disc | search game for dols and ask which to load

Description

If using the SD mode, the filename loaded is ID4.dol in the base directory where ID4 is the 4 digit ID of the game. However, the disc option is easier and better. For more information, see this tutorial.

You can also set an Alt Dol for each game individually in the game settings.


Anti 002 Fix Option

Options Covered

fix002

Input Formats

0 | patch off
1 | patch on

Description

Anti 002 Fix for use with IOS249 revisions 9, 10, 12 and 13b only.

You can also set the Anti 002 Fix for each game individually in the game settings.


Block IOS Reload Option

Options Covered

block_ios_reload

Input Formats

0 | patch off
1 | patch on

Description

Can be used for House of the Dead 2, but only works with Hermes' IOSes.

You can also set the Block IOS Reload patch for each game individually in the game settings.


Clear Patches Option

Options Covered

clear_patches

Input Formats

0 | all patches allowed
1 | disable dvd patch and return to channel
all | disable all per-game patches as well

Description

This is useful for games like Prince of Persia: The Forgotten Sands which detects patches to the .dol.

You can also set to clear_patches for each game individually in the game settings.


Clock Style Option

Options Covered

clock_style

Input Formats

0 | clock off
24 | 24 hour time (14:30)
12 | 12 hour time (2:30)
12am | 12 hour time with am/pm (2:30pm)

Description

The clock appears after several seconds of inactivity in the GUI. This chooses the style.


Confirm Ocarina Option

Options Covered

confirm_ocarina

Input Formats

0 | don't confirm
1 | confirm

Description

Determine if loader asks you to confirm your choice if you start with Ocarina turned on.


Confirm Start Option

Options Covered

confirm_start

Input Formats

0 | don't confirm
1 | confirm

Description

Set this to 0 to avoid being asked to confirm starting the game. Options can still be changed using the 1 button from the game list/GUI if disable_options=0. Note that banner sounds play on the confirmation page, so if you want to hear them, then set this option to 1.


Console Mark Options

Options Covered

console_mark_page, console_mark_favorite, console_mark_saved

Input Formats

0 | no mark
1 | mark

Description

Page adds a plus mark to the bottom of games lists that continue. Favorite prefixes games marked as favourites with a star. Saved marks games that have saved options with a hash.

Note: If what you want to do is remove the favorite star image from the box art, replace favorite.png with a fully transparent image, one of which is conveniently provided in /resources/favorite0.png.


Country Patch Option

Options Covered

country_patch

Input Formats

0 | patch off
1 | patch on

Description

Country Patch for better compatibility with some games, especially PAL games on NTSC consoles.

You can also set the Country Patch for each game individually in the game settings.


Cover URL Options

Options Covered

cover_url, cover_url_3d, cover_url_disc, cover_url_full

Input Formats

URLs list of URLs to search in order

Description

The URLs for each cover_style will be searched in order. If the cover is not found at the first link, the next will be tried and so on. There are some tags that can be used within URLs to expand to various game specific values:

TAG | Expansion
{REGION} | Expands to pal, ntsc or ntscj based on the 4th character of the game ID
{WIDTH} | Expands to the current cover width value
{HEIGHT} | Expands to the current cover height value
{ID3} | Expands to the 3 digit ID of the game
{ID4} | Expands to the 4 digit ID of the game
{ID6} | Expands to the 6 digit ID of the game
{ID} | Tries {ID6}, {ID4}, and {ID3} in sequence
{PUB} | Expands to the 2 character publisher code from the ID (the last two characters)
{CC} | Expands to EN, US or JA based on the 4th character of the game ID. PAL games will also try the value of download_cc_pal first.

If you want to download covers from another region if they don't exist in the region of the game, then replace {CC} with the appropriate value and {ID6} with {ID3}E{PUB} where E is the region code of the wanted game. For example, to automatically download NTSC 2D covers from WiiTDB when the local region covers do not exist, you could have the following two links in order:

http://wiitdb.com/wiitdb/artwork/cover/{CC}/{ID6}.png

http://wiitdb.com/wiitdb/artwork/cover/US/{ID3}E{PUB}.png


Covers Path Options

Options Covered

covers_path, covers_path_2d, covers_path_3d, covers_path_disc, covers_path_full

Input Formats

path path where covers are read or written

Description

covers_path will automatically set the other options as follows:
covers_path_2d = covers_path
covers_path_3d = covers_path/3d
covers_path_disc = covers_path/disc
covers_path_full = covers_path/full


Cursor Jump Option

Options Covered

cursor_jump

Input Formats

0 | skip by page size
other number | skip specified number

Description

If set to 0, the Left/Right burrons on the D-pad will go to the next page of games. Setting a different number provides a fixed jump amount of that number (e.g., 10 to move 10 games at a time). D-pad Up/Down will always move one at a time.


DB Ignore Titles Option

Options Covered

db_ignore_titles

Input Formats

0 | use titles
1 | don't use titles

Description

This determines whether titles from wiitdb.zip are used when determing the title to display. Only switch this off if you want to use directory names or names from the game images.


DB Language Option

Options Covered

db_language

Input Formats

AUTO | Use Wii's country setting
language string | country string or language name

Description

This is used to replace the {DBL} tag in cover URLs or database or titles URLs.


DB Show Info Option

Options Covered

db_show_info

Input Formats

0 | don't show
1 | show

Description

When switched on, you will see the WiiTDB info decoded from wiitdb.zip.


Debug Option

Options Covered

debug

Input Formats

0 | off
1 | on
8 | disc read timings
16 | game launch timings

Description

Turn the debug mode on to get extra information about what the loader is doing.


Debug Gecko Option

Options Covered

debug_gecko

Input Formats

0 | no output
1 | debug info
2 | console text
3 | both 1 & 2

Description

Determine what (if any) information is displayed on a connected USB Gecko device. The debug info will be the same as the debug option, but will display the data as if debug=1 if debug=0. The console text values will output everything which is displayed on the console to the device.


Device Option

Options Covered

device

Input Formats

ask | Ask which to use
sdhc | SD or SDHC card
usb | USB drive

Description

You can force the loader to use a USB drive or SD cards when searching for games, or let it ask you.

Note: The device option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt isn't working for you.


Disable Options

Options Covered

disable_install, disable_remove, disable_options, disable_format

Input Formats

0 | feature enabled
1 | feature disabled

Description

Disable the features named in the options. The global version of the simple option will control all of these at once.


Disable Patch Options

Options Covered

disable_nsmb_patch, disable_pop_patch, disable_dvd_patch

Input Formats

0 | patch NSMB
1 | don't patch NSMB

Description

Disables the various patches so that you can use it patched in another way, such as WIP or BCA.

You should disable the DVD patch if you are trying to play PoP with Hermes' IOS.


Download All Styles Option

Options Covered

download_all_styles

Input Formats

0 | download needed covers
1 | download all covers

Description

The first needed cover is the one currently chosen in cover_style. If the gui_style is currently set to a coverflow mode, then the full cover is also downloaded. In the case the full cover isn't found, the 2d cover is downloaded instead.


Download CC PAL Option

Options Covered

download_cc_pal

Input Formats

AUTO | Use Wii's country setting
2 character country code | country string (e.g., EN, AU, etc.)

Description

This is used to replace the {CC} tag in cover URLs or database or titles URLs.


Download ID Len Option

Options Covered

download_id_len

Input Formats

4 | 4 character ID
6 | 6 character ID

Description

The Loader will detect either type of file, regardless of this setting, but newly downloaded images will be saved using the selected number of ID characters in the saved image filenames.


FAT Install Dir Option

Options Covered

fat_install_dir, fs_install_layout

Input Formats

0 | /wbfs/GAMEID.wbfs
1 | /wbfs/GAMEID_Title/GAMEID.wbfs
2 | /wbfs/Title [GAMEID]/GAMEID.wbfs
3 | /wbfs/Title [GAMEID].wbfs

Description

The two options listed here are aliases for the same option. Games installed via the loader will be saved in the chosen manner.


FAT Split Size Option

Options Covered

fat_split_size

Input Formats

2 | 2GB - 32kB
4 | 4GB - 32kB

Description

Files installed to a FAT formatted drive by the loader will be split at the selected size.


Gamercard Options

Gamercard Option

Options Covered

gamercard_url, gamercard_key

Input Formats

List of URLs or keys

Description

Gamercard support for sites like WiinnerTag and NCard is provided by the use of these options. The strings in each option are matched against each other, so the first URL is paired with the first key and so on. URLs can contain the tags {KEY} which converts to the respective key and {ID6} which converts to the ID of the game played. If a key is 0, the respective URL will not be accessed.

The default URLs are for WiinerTag first and NCard second. You can duplicate the sites or add others if you want to access multiple Gamercards on one or more sites as you see fit.


GUI Option

Options Covered

gui

Input Formats

0 | GUI disabled
1 | GUI enabled
start | GUI launches at startup

Description

Choose whether the GUI is enabled and whether the loader starts in console or GUI mode.


GUI Anti-Alias Option

Options Covered

gui_antialias

Input Formats

0 | no anti-aliasing
1-4 | increasing level of anti-aliasing

Description

The higher the number, the more antialiasing will be performed. Antialiasing will reduce jagged edges by a large degree at a small cost of processing time and a little bit of blurring.


GUI Lock Option

Options Covered

gui_lock

Input Formats

0 | GUI style can change
1 | GUI style is fixed

Description

Setting this option to 1 disables the actions of the up/down D-pad buttons to change GUI style.


GUI Rows Option

Options Covered

gui_rows

Input Formats

Number (1-4) Number of rows in gridflow GUI styles

Description

This is the number of rows in the gridflow GUI styles.

Note: The gui_rows option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt aren't working for you.


GUI Style Option

Options Covered

gui_style

Input Formats

grid | flat paged grid pattern with multiple lines
flow | flat scrolling grid pattern with multiple lines
flow-z | 3D scrolling grid pattern with multiple lines
coverflow3d | full 3D angled covers in a single line
coverflow2d | full 3D frontal covers in a single line
frontrow | full 3D frontal covers in a receding single line
vertical | full 3D frontal covers in a vertical curve
carousel | full 3D covers on a cylindrical curve

Description

This is the style the covers display in within the GUI.

Note: The gui_style option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt aren't working for you.


GUI Transition Option

Options Covered

gui_transition

Input Formats

scroll | image scrolls to location
fade | fade effect applied

Description

This is the transition which occurs when you go from the GUI to the console.


Hide Game Option

Options Covered

hide_game

Input Formats

0 | hide none
comma separated list of 4 character IDs | games to hide

Description

Listing games here is equivalent to locking them in the loader, except that you cannot change the value of the hide_game option within the loader.

You can also set games to be hidden on a per-game basis in the loader or on the settings page. If the global option version is used as well, the two lists are merged.


Hook Type Option

Options Covered

hooktype

Input Formats

nohooks | load without hooks
vbi | VBI event
wiipad | Wii Pad event
gcpad | GC Pad event
gxdraw | GX Draw event
gxflush | GX Flush event
ossleep | OS Sleep event
axframe | AX Next Frame event

Description

Choose which hook type is used to load the Ocarina cheats or start Wiird. Note that "nohooks" is not equivalent to turning Ocarina/Wiird off.

You can also set the hook type for each game individually in the game settings.


Install Partitions Option

Options Covered

install_partitions

Input Formats

all | install all valid partitions
only_game | install only the game partition
1:1 | install all the data, including blank space
iso | install as a full .iso file

Description

The all value installs the update partitions with the game. No game currently require these other partitions to be present, but this may change. 1:1 and iso will not remove any data and will install a full copy of the disc, taking much more space than usual. iso is only possible on NTFS drives; the file will be too large for FAT32.


IOS Option

Options Covered

ios

Input Formats

247 | Waninkoko's IOS247
248 | Waninkoko's IOS248
249 | Waninkoko's IOS249
250 | Waninkoko's IOS250
222-mload | Hermes' IOS222
223-mload | Hermes' IOS223
224-mload | Hermes' IOS224
222-yal | Kwiirk's IOS222
223-yal | Kwiirk's IOS223

Description

When used in config.txt, this chooses the IOS to be used by the loader at startup as well as the default IOS for all games.

You can also set the IOS for each game individually in the game settings.


Language Option

Options Covered

language

Input Formats

console | use Wii's language
japanese | Japanese
english | English
german | German
french | French
spanish | Spanish
italian | Italian
dutch | Dutch
s.chinese | Simplified Chinese
t.chinese | Traditional Chinese
korean | Korean

Description

.

Force selected language.


Music Option

Options Covered

music

Input Formats

0 | Music off
1 | Play music.mp3 or music.mod in base directory
filename | Play listed file in base directory
filename with path | Play listed file
directory name | Randomly play all music files in directory

Description

Controls which music files are played within the loader. Only .mp3 and .mod formats can be used.


NTFS Write Option

Options Covered

ntfs_write

Input Formats

0 | disabled
1 | enabled with recovery
norecover | enabled without recovery

Description

If your drive is formatted as NTFS, then this option will let you write games to the drive if you switch it on. The recovery is performed only if there is a crash while an access to the drive is being performed. If you disable it, you will need to use Windows to perform the recovery instead.


Ocarina Option

Options Covered

ocarina

Input Formats

0 | Ocarina is off
1 | Ocarina is on

Description

This determines whether the Ocarina cheats will be used for games or notp>

You can also set Ocarina for each game individually in the game settings.


Partition Option

Options Covered

partition

Input Formats

auto | Select the first valid partition of WBFS1, FAT1 and NTFS1
ask | Ask which to use
WBFS | WBFS partition (1-4)
FAT | FAT partition (1-9)
NTFS | NTFS partition (1-9)
number | Number of chosen format type

Description

This chooses which WBFS, FAT or NTFS partition is chosen at startup. If you choose ask, the loader will ask you which to use. The numbers refer to the partition number. E.g., FAT2 is the second FAT partition.

Note: The partition option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt isn't working for you.


Pref Game Option

Options Covered

pref_game

Input Formats

0 | default ordering
comma separated list of 4 character IDs | games to list at start of list

Description

List the games to be listed before the others in the order you want them to display.


Profile Option

Options Covered

profile

Input Formats

profile name startup profile

Description

Set this option to one of the names in the profile_names option to choose the default profile to load at startup. If not set, or set to an invalid value, the first profile in the profile_names list will be loaded.

Note: The profile option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt aren't working for you.


Profile Names Option

Options Covered

profile_names

Input Formats

comma separated list of names profile names to use

Description

List your profile names with this option. The order of the list is the order of the profiles in the profile selection menu. Profile names can be separated by either commas or spaces. There can be up to 10 profiles.


Return to Channel Option

Options Covered

return_to_channel

Input Formats

0 | return to Wii Menu
4 character ID | load specified channel
8 character hex value | load specified channel

Description

Choose a channel to return to instead of the Wii Menu when you push the Wii Menu button on a game's Home Menu.


Select Option

Options Covered

select

Input Formats

previous | Most recently played game
start | First game in the list
middle | Middle game in the list
end | Last game in the list
most | Most played game
least | Least played game
random | Different game each time

Description

Choose which game the loader selects on startup.


Sort Option

Options Covered

sort

Input Formats

asc/dec | Choose whether the sort is ascending or descending
title | title using sort_ignore
players | max. number of local players
online_players | max. number of online players
publisher | names of the games' publishers
developer | names of the games' developers
release | release date of the games
play_count | number of times played in playstats.dat
play_date | last time the game was played in playstats.dat
install | date on which the game was installed to the drive

Description

The startup sort method can be any of the listed types in either ascending or descending mode.


Sort Ignore Option

Options Covered

sort_ignore

Input Formats

0 | plain alphabetical sort
comma separated list of words | words to ignore in sort

Description

Provides a comma separated list of terms that should be ignored at the start of game names in title sorts. E.g., with the default option, "The Legend of Zelda: Twilight Princess" will be sorted as if it were "Legend of Zelda: Twilight Princess".


Start Favorites Option

Options Covered

start_favorites

Input Formats

0 | start normally
1 | start in favorites mode

Description

Determine if loader starts in favorite mode.


Theme Option

Options Covered

theme

Input Formats

name of theme Theme name

Description

This is the name of a subdirectory in the themes folder, e.g., GAF for sd:/usb-loader/themes/GAF. The corresponding theme.txt will be utilised when starting.

Note: The theme option can also appear in settings.cfg, which has the highest priority. Look there first if the setting in config.txt isn't working for you.


Translation Option

Options Covered

translation

Input Formats

AUTO | use Wii setting to choose filename
language string | choose your own filename

Description

When set to a specified value, the loader will attempt to load the language file called .lang from the languages directory.

If the language uses non-Latin characters, you may also need to use load_unifont.


Unlock Password Option

Options Covered

unlock_password

Input Formats

password password made from Wiimote buttons

Description

See admin_unlock for info on using the password. The unlock password can be up to 10 characters long and is mapped to Wiimote buttons as follows:

Button | Code
A | A
B | B
Home | H
- | M
+ | P
1 | 1
2 | 2
D-Up | U
D-Left | L
D-Down | D
D-Right | R


URL Options

Options Covered

titles_url, db_url

Input Formats

URL URL to use to get file

Description

Set the URL for download of titles.txt or wiitdb.zip. The string {DBL} will be replaced with the value of db_language. The string {CC} will be replaced with the value of download_cc_pal.


Video Option

Options Covered

video

Input Formats

system | use the system's region
game | use the game's region
pal50 | Force PAL50
pal60 | Force PAL60
ntsc | Force NTSC

Description

Choose the video mode to use for the games. To force 480p, set this option to ntsc and video patch to all.

You can also set the video mode for each game individually in the game settings.


Video Patch Option

Options Covered

video_patch

Input Formats

0 | don't patch
1 | patch the video
all | Patch all the video modes (for 480p)
sneek | Patch using the SNEEK method
sneek+all | Combination of sneek and all

Description

Choose how video modes are patched. To force 480p, set this option to all and video to ntsc. The SNEEK patch is a new approach that has better compatibility on some TVs.

You can also set the video_patch for each game individually in the game settings.


VIDTV Option

Options Covered

vidtv

Input Formats

0 | patch off
1 | patch on

Description

Required by some games, especially Japanese games to get fonts working.

You can also set the VIDTV patch for each game individually in the game settings.


Widescreen Option

Options Covered

widescreen

Input Formats

0 | 4:3
1 | 16:9
auto | Use Wii's setting

Description

Set the aspect ratio used by the loader.


Wiird Option

Options Covered

wiird

Input Formats

0 | off
1 | on
2 | on with paused start

Description

Determine if you want to use wiird or not and whether to pause at startup. The hook type from the per-game options to determine the type of hook.


Write Playlog Option

Options Covered

write_playlog

Input Formats

0 | don't write
1 | write with selected language title
2 | write with Japanese title
3 | write with English title

Description

Turning this option on will start logging the correct names and times for all your games (you can also select which games do and don't change the play log in the options menu of Cfg). You cannot bypass the Wii Menu when loading the loader when using this option. This means that BootMii and Priiloader autoboots to Cfg or the HBC cannot be used.

You can also set to write the playlog for each game individually in the game settings.


Write Playstats Option

Options Covered

write_playstats

Input Formats

0 | don't write
1 | write

Description

When on, playstats are written to playstats.txt in the base directory. These stats indicate the last time you played each game and how many times you played it.

If you want to save your play times to the log on the message board, you want to use write_playlog instead.


Favorite Game Option

Options Covered

favorite_game

Input Formats

Each profile keeps a list of favorite games

Description

This option is only in game settings. Each of the profiles can have up to 100 games marked as favorites.


Theme Previews Option

Options Covered

theme_previews

Input Formats

0 | previews off
1 | previews on

Description

Control the display and download of theme preview images.